> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all tag groups belonging to the specified company.

> This endpoint returns all tag groups belonging to the company as well as their attributes



## OpenAPI

````yaml get /tag-groups
openapi: 3.0.0
info:
  description: Pleo.io API
  version: 0.0.1
  title: Pleo.io API
servers:
  - url: https://openapi.pleo.io/v1/
    description: Production
  - url: https://openapi.staging.pleo.io/v1/
    description: Staging
security:
  - BearerToken: []
tags: []
paths:
  /tag-groups:
    get:
      tags:
        - Tag Groups
      summary: Get all tag groups belonging to the specified company.
      description: >-
        This endpoint returns all tag groups belonging to the company as well as
        their attributes
      operationId: getTagGroups
      parameters:
        - name: archived
          in: query
          required: false
          schema:
            type: boolean
          description: >-
            This flag allows you fetch only tag groups that have been archived
            if set to true or those that are still actively in use if set to
            false. By default it will only fetch active tag groups.
      responses:
        '200':
          description: Tag groups have been returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TagGroupsResponse'
        '401':
          description: request unauthorized
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/DefaultUnauthorizedResponse'
        '403':
          description: Request forbidden; user has insufficient rights to a resource.
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/DefaultForbiddenResponse'
        '404':
          description: route not found
          content:
            application/json; charset=utf-8:
              example: route not found
        '500':
          description: >-
            Something went wrong. Please contact the administrator if problems
            persist.
          content:
            application/json; charset=utf-8:
              example: >-
                Something went wrong. Please contact the administrator if
                problems persist.
      deprecated: true
components:
  schemas:
    TagGroupsResponse:
      type: array
      items:
        type: object
        properties:
          id:
            type: string
            example: 0f0e000-000d-0d00-000b-00db0d000fae
            description: This is the internal pleo identifier of the tag group
          name:
            type: string
            description: This is the tag group name supplied on create
          tagAttributes:
            type: array
            description: >-
              These are the attributes that define a tag in this tag group, i.e.
              the tag columns. Each tag column is included only once.
            items:
              type: object
              properties:
                id:
                  type: string
                  example: 0f0e000-000d-0d00-000b-00db0d000fae
                  description: This is the internal pleo identifier of the tag group
                name:
                  type: string
                  description: This is the tag group name supplied on create
                displayOrder:
                  type: number
                  description: >-
                    This number specifies the order in which these attributes
                    are displayed in pleo.
                hidden:
                  type: boolean
                  description: >-
                    This flag specifies the column used as a display value for
                    the customer when applying the tag on an expense. Non-hidden
                    column values will be concatenated and used as the display
              required:
                - id
                - name
                - displayOrder
                - hidden
          archived:
            type: boolean
            description: >-
              This flag specifies whether the tag group has been archived in the
              Pleo system or not
        required:
          - id
          - name
          - tagAttributes
          - archived
    DefaultUnauthorizedResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
          description: http response status code
        error:
          type: string
          example: Forbidden
          description: error type
        message:
          type: string
          example: user_scope_insufficient
          description: error message
    DefaultForbiddenResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 403
          description: http response status code
        error:
          type: string
          example: Forbidden
          description: error type
        message:
          type: string
          example: user_scope_insufficient
          description: error message
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      description: Open API Bearer token

````